/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/

#ifndef TETREPETETE_COLOR_H
#define TETREPETETE_COLOR_H

enum Color {
    BLACK = 0,
    WHITE,
    RED,
    GREEN,
    BLUE,

    CYAN,
    PURPLE,
    LIGHT_GREEN,
    ORANGE,
    LIGHT_BLUE,
    PINK,
    MAROON,
    LIGHT_ORANGE,

    SHADOW,

    GREY,
};

#define COLOR_FIRST BLACK
#define COLOR_LAST GREY

#define COLOR_PRIMARY BLUE
#define COLOR_SECONDARY CYAN

class RGBColor {
    public:
        static void map(enum Color, int &r, int &g, int &b);
        static void map(enum Color, float &r, float &g, float &b);
};

#endif /* TETREPETETE_COLOR_H */
