/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/


#include "util.h"
#include "colorscheme.h"

static enum Color SCHEMES[][3] = {
    //{WHITE, COLOR_PRIMARY, COLOR_SECONDARY},
    {WHITE, GREEN, LIGHT_GREEN},
    {WHITE, BLUE, CYAN},
    {WHITE, PURPLE, PINK},
    {WHITE, BLUE, LIGHT_GREEN},
    {WHITE, PURPLE, LIGHT_GREEN},
    {WHITE, LIGHT_GREEN, LIGHT_BLUE},
    {WHITE, ORANGE, GREY},
    {WHITE, PURPLE, MAROON},
    {WHITE, BLUE, LIGHT_ORANGE},
    {WHITE, ORANGE, LIGHT_ORANGE},
};

ColorScheme::ColorScheme()
    : m_current(0)
{
}

enum Color
ColorScheme::map(int pattern)
{
    switch (pattern) {
        /**
         * the >= 0 indexes can be looked up in pattern.cpp
         * negative indexes (-1 and -2) used for background
         **/
        case 0: case 1: case 2: return SCHEMES[m_current][0];
        case -1: case 3: case 5: return SCHEMES[m_current][1];
        case -2: case 4: case 6: return SCHEMES[m_current][2];
    }

    return BLACK;
}

void
ColorScheme::next()
{
    m_current = (m_current + 1) % ARRAY_SIZE(SCHEMES);
}

