/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/

#ifndef TETREPETETE_CONFIRMSCENE_H
#define TETREPETETE_CONFIRMSCENE_H

#include "scene.h"

class ConfirmScene : public Scene {
    public:
        ConfirmScene(Game *game, Scene *parent, const char *message,
                const char *affirmative, enum Game::Event affirmative_action,
                const char *negative, enum Game::Event negative_action=Game::POP_CURRENT_SCENE);

        virtual enum SceneType type() { return OVERLAY; }
        void touch(enum EventType event, int x, int y);
        void keyboard(bool pressed, bool repeat, enum Game::Key key);
        void render(DrawContext *context);
        void resize(int width, int height);
        void tick();
        void event(enum Game::Event event);

    private:
        Scene *m_parent;
        const char *m_message;
        const char *m_affirmative;
        enum Game::Event m_affirmative_action;
        const char *m_negative;
        enum Game::Event m_negative_action;

        int m_button_width;
        int m_button_left;
        int m_button_height;
        int m_button_top;
        int m_affirmative_y;
        int m_negative_y;
};

#endif /* TETREPETETE_CONFIRMSCENE_H */
