/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/


#include "constants.h"

namespace Constants {
    const char *WINDOW_NAME = "Tetrepetete";
    int WINDOW_WIDTH = 320;
    int WINDOW_HEIGHT = 480;

    int BRICK_HEIGHT = 25;
    int BRICK_WIDTH = 25;
    int SPACING = 2;

    int BOARD_WIDTH = 9;
    int BOARD_HEIGHT = 18;
    int BOARD_SPACING = 0;

    int PAUSE_BUTTON_SIZE = 50;

    int CONFIRM_SCENE_BORDER = 20;

    int SLOW_FALL_TICKS = 30;
    int FAST_FALL_TICKS = 3;

    int TICK_MS = 33; // how long a "tick" takes in milliseconds

    int FREEZE_POINTS = 10;
    int SINGLE_LINE_POINTS = 300;
    int DOUBLE_LINE_POINTS = 2*SINGLE_LINE_POINTS;
    int TRIPLE_LINE_POINTS = 2*DOUBLE_LINE_POINTS;
    int PETETE_LINE_POINTS = 2*TRIPLE_LINE_POINTS;

    int SPEEDUP_LINES = 10;

    int SCENE_TRANSITION_TICKS = 10; // duration of a transition in ticks

    bool FULL_VERSION = true; // Set to false to enable free-to-grey
    bool HAVE_SHADOW = true;
    bool WANT_EASY_TOUCH = true; // Single-tap (no drag) touch events
};

