/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/

#ifndef CONSTANTS_H
#define CONSTANTS_H

namespace Constants {
    extern const char *WINDOW_NAME;
    extern int WINDOW_WIDTH;
    extern int WINDOW_HEIGHT;

    extern int BRICK_WIDTH;
    extern int BRICK_HEIGHT;
    extern int SPACING;

    extern int BOARD_WIDTH;
    extern int BOARD_HEIGHT;
    extern int BOARD_SPACING;

    extern int PAUSE_BUTTON_SIZE;

    extern int CONFIRM_SCENE_BORDER;

    extern int SLOW_FALL_TICKS;
    extern int FAST_FALL_TICKS;

    extern int TICK_MS;

    extern int FREEZE_POINTS;
    extern int SINGLE_LINE_POINTS;
    extern int DOUBLE_LINE_POINTS;
    extern int TRIPLE_LINE_POINTS;
    extern int PETETE_LINE_POINTS;

    extern int SPEEDUP_LINES;

    extern int SCENE_TRANSITION_TICKS;

    extern bool FULL_VERSION;
    extern bool HAVE_SHADOW;
    extern bool WANT_EASY_TOUCH;
};

#endif
