/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/


#include "resultsscene.h"

#include "recording.h"

#include <stdio.h>

ResultsScene::ResultsScene(Game *game)
    : GuiScene(game)
{
    Settings *settings = &(m_game->m_settings);

    int w = m_game->m_width * .8;
    int h = 50;
    int x = (m_game->m_width - w) / 2;
    int y = (m_game->m_height - h) / 5;

    add_number(settings->m_last_score, x, y, w, h);
    add_text("Score:", x-20, y-20, w, h, DrawContext::TEXT_NONE, COLOR_PRIMARY);

    y += h + 30;

    add_number(settings->m_last_lines, x, y, w, h);
    add_text("Lines:", x-20, y-20, w, h, DrawContext::TEXT_NONE, COLOR_PRIMARY);

    if (settings->m_last_score > settings->m_best_score) {
        settings->m_best_score = settings->m_last_score;
        settings->m_best_lines = settings->m_last_lines;
        Recording recording;
        recording.load(m_game->m_last_recording);
        recording.save(m_game->m_best_recording);
        add_text("New record!", 0, m_game->m_height / 2., m_game->m_width, 100, DrawContext::TEXT_CENTER, ORANGE);
    }
}

