/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/


#include "titlescene.h"

#include <stdlib.h>

TitleScene::TitleScene(Game *game)
    : Scene(game)
{
}

TitleScene::~TitleScene()
{
}

void
TitleScene::touch(enum EventType event, int x, int y)
{
    if (event == Scene::UP) {
        m_game->event(Game::MAIN_MENU);
    }
}

void
TitleScene::keyboard(bool pressed, bool repeat, enum Game::Key key)
{
    if (!pressed) {
        m_game->event(Game::MAIN_MENU);
    }
}

void
TitleScene::render(DrawContext *context)
{
    context->draw_title(0, m_game->m_height * .2, m_game->m_width, 100);

    context->draw_text(WHITE, "<c> 2013 thp.io",
            0, m_game->m_height/2 - 25,
            m_game->m_width, 50,
            DrawContext::TEXT_CENTER);

    context->draw_text(ORANGE, "Touch to continue",
            10, m_game->m_height - 50 - 10,
            m_game->m_width - 20, 50,
            DrawContext::TEXT_CENTER);
}

void
TitleScene::resize(int width, int height)
{
}

void
TitleScene::tick()
{
}

void
TitleScene::event(enum Game::Event event)
{
}

