/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/

#ifndef TETREPETETE_TRANSITION_H
#define TETREPETETE_TRANSITION_H

#include "scene.h"
#include "drawcontext.h"

class Game;

class Transition {
    public:
        Transition(Game *game, Scene *from, Scene *to, bool is_push);
        void tick();
        bool done();
        void render(DrawContext *context, float partial_tick);

    private:
        Game *m_game;
        bool m_is_push;
        long m_ticks;
        Scene *m_from;
        Scene *m_to;
};

#endif /* TETREPETETE_TRANSITION_H */
