/**
 *  Tetrepetete - A lightweight and portable game with blocks.
 *  http://thp.io/2013/tetrepetete/
 *  Copyright (C) 2012, 2013, 2014, 2015 Thomas Perl <m@thp.io>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **/

#ifndef TETREPETETE_UTIL_H
#define TETREPETETE_UTIL_H

#include <sys/time.h>

class Util
{
    public:
        static long now();

        static const char *get_data_dir();
        static void recursive_mkdir(const char *path);
        static char *join_path(const char *path, const char *filename);

        static bool file_exists(const char *filename);
};

#define ARRAY_SIZE(x) (sizeof(x)/sizeof((x)[0]))

#endif /* TETREPETETE_UTIL_H */
